﻿body, td {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 9pt;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

    table.nav, table.filterbox {
        border-collapse: separate;
        border-spacing: 1px;
    }

th, td {
    padding: 1px;
}

h1, .h1 {
    font-size: 14pt;
    font-weight: bold;
    color: #073A65
}

h2, .h2 {
    font-size: 12pt;
    font-weight: bold;
    color: #073A65;
    border-bottom: 1px solid #74a5cc;
}

h3, .h3 {
    font-size: 10pt;
    font-weight: bold;
    color: #073A65
}

th, .th {
    background-color: #073A65;
    vertical-align: top;
    color: white;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12px;
    padding: 5px;
    white-space: nowrap;
}

.gridlines {
    border: 1px solid black;
    border-collapse: collapse;
}

.gridalt {
    background-color: Whitesmoke;
}

.gridlines > tbody > tr:hover {
    background-color: #eeeeee;
}

.filterbox {
    background-color: whitesmoke;
    border: 1px solid silver;
}

    .filterbox th, .filterbox td {
        padding: 3px;
        vertical-align: middle;
    }

table.gridlines > tbody > tr > td, table.gridlines > tbody > tr > th {
    border: 1px solid gray;
}

.gridgray {
    border-collapse: collapse;
    border: 1px solid gray;
    box-shadow: 4px 4px 4px #bbbbbb;
    -moz-box-shadow: 4px 4px 4px #bbbbbb;
    -webkit-box-shadow: 4px 4px 4px #bbbbbb;
}

table.gridgray td {
    border: 1px solid gray;
    padding: 3px
}

.gridgray th {
    background-color: #808080;
    white-space: nowrap;
    border: 1px solid #404040;
    padding: 3px;
    vertical-align: middle
}

.altbg {
    background-color: #DFDFEC;
}

.graybg {
    background-color: silver;
}

input[type="text"], input[type="password"], textarea, select {
    background-color: White;
    border: 1px solid gray;
}

.txt {
    border: 1px solid gray;
    width: 100%;
    height: 30px;
    background-color: #C0E7E9;
}

.btn, .btngray, .btnsmall, .btnraised, .btnred {
    border: 1px solid #333333;
    color: #FFFFFF;
    margin: 0px;
    font-weight: bold;
    text-align: center;
}

.btn, .btnraised {
    background-color: #073A65;
}

    .btn[disabled], .btnraised[disabled] {
        color: black;
        background-color: gray;
    }

.btngray, .btnsmall {
    background-color: #aaaaaa;
}

.btnsmall {
    padding: 0px 1px 0px 1px;
    margin: 0;
    font-size: 8pt;
}

a.btnsmall:link {
    color: White;
    text-decoration: none
}

.btnraised {
    border-top: 2px solid #f0f0f0;
    border-right: 2px solid darkgray;
    border-bottom: 2px solid darkgray;
    border-left: 2px solid #f0f0f0;
}

.btnred {
    background-color: red;
}

a:link, a:visited {
    color: #073A65
}

th a:link, th a:visited, .th a:link, .th a:visited {
    color: White;
    text-decoration: none;
    display: block;
}

th a:hover, .th a:hover {
    color: yellow;
}

a:hover {
    color: red
}

a.btn, a.btn:link, a.btn:visited, a.btn:hover, a.btngray, a.btngray:link, a.btngray:visited, a.btngray:hover {
    padding: 1px 6px 1px 6px;
    font-weight: 700;
    text-decoration: none;
    color: white;
    font-size: 13.3333px;
    height: 18px;
    border: 1px solid #808080;
}

a.alert, a.alert:link, a.alert:visited, a.alert:hover {
    background-color: Red;
    color: White;
    font-weight: bold;
    padding: 3px
}

a img {
    border: none;
    vertical-align: middle
}

.nav th {
    background-color: #1C537C;
    color: White;
    text-align: left;
    vertical-align: middle;
}

.nav td, .nav form {
    font-weight: bold;
    text-align: center;
    vertical-align: middle;
    /*background-color: #073A65;*/
}

.nav form {
    margin: none;
    overflow: hidden;
}

    .nav td a, .nav td a:visited, .nav form a, .nav form a:visited {
        color: White;
        text-decoration: none;
        vertical-align: middle;
        display: block;
        padding: 20px
    }

        .nav td a:hover, .nav form a:hover {
            background-color: Blue;
            color: White;
        }

.nav td.green, .nav th.green {
    background-color: #116507;
}

.nav td.black, .nav th.black {
    background-color: #363636;
}

.nav td.red, .nav th.red {
    background-color: #650707;
}

.nav td.purple, .nav th.purple {
    background-color: #070765;
}

.nav td.violet, .nav th.violet {
    background-color: #420765;
}

.nav td.teal, .nav th.teal {
    background-color: #075E65;
}

.nav td.blue, .nav th.blue {
    background-color: #073A65;
}

.nav td.orange, .nav th.orange {
    background-color: #804809;
}

.nav td.maroon, .nav th.maroon {
    background-color: #65073a;
}

.white, .nav td.white {
    background-color: White;
    color: White
}

.ratingStar {
    font-size: 0pt;
    width: 12px;
    height: 12px;
    margin: 0px 1px 0px 1px;
    padding: 0px;
    cursor: pointer;
    display: normal;
    background-repeat: no-repeat;
}

.filledRatingStar {
    background-image: url(/images/icons/asterisk_red.png);
}

.emptyRatingStar {
    background-image: url(/images/icons/asterisk_gray.png);
}

.savedRatingStar {
    background-image: url(Images/icons/asterisk_red.png);
}

.waitingRatingStar {
    background-image: url(Images/icons/asterisk_red.png);
}

#milestones {
    position: absolute;
    background-color: #B9DCFF;
    border: 1px solid black;
    padding: 10px;
}

.window {
    border-left: 1px solid gray;
    border-top: 1px solid gray;
    border-right: 1px solid black;
    border-bottom: 1px solid black;
    box-shadow: 4px 4px 4px #bbbbbb;
    -moz-box-shadow: 4px 4px 4px #bbbbbb;
    -webkit-box-shadow: 4px 4px 4px #bbbbbb;
    background-color: White;
}

.windowbar {
    background-color: #073A65;
    color: white;
    font-weight: bold;
    vertical-align: middle;
}

.flag img {
    border: none
}

.tsdesc {
    position: absolute;
    border: 1px solid black;
    text-align: left;
    padding: 5px;
    width: 210px;
    background-color: White;
    box-shadow: 4px 4px 4px #bbbbbb;
    -moz-box-shadow: 4px 4px 4px #bbbbbb;
    -webkit-box-shadow: 4px 4px 4px #bbbbbb;
}

.selected td {
    background-color: #DDF0FF;
}

.alt {
    background-color: whitesmoke;
}

.row {
    background-color: White;
}

.timelist {
    border-collapse: collapse; /*margin-top: 0px; width: 100%*/
}

    .timelist td { /*padding-top: 4px; padding-bottom: 4px; height: 16px;*/
    }

    .timelist select {
        height: 22px
    }

.timesheetcell {
    width: 100px;
    text-align: right;
    white-space: nowrap;
}

.detail {
    border: 1px solid black;
}

    .detail table td {
        padding-top: 2px;
        padding-bottom: 2px;
    }

.imglink img {
    border: none;
    vertical-align: middle
}

.circle {
    display: block;
    width: 80px;
    height: 80px;
    background: #333;
    -moz-border-radius: 40px;
    -webkit-border-radius: 40px;
}

.graybox {
    position: absolute;
    z-index: 999;
    background-color: Gray;
    opacity: 0.4;
    text-align: center;
    color: White;
    font-weight: bold;
    vertical-align: middle;
    font-size: 24pt;
    text-shadow: 4px 4px 4px #000000;
    -moz-text-shadow: 4px 4px 4px #000000;
    -webkit-text-shadow: 4px 4px 4px #000000;
    filter: alpha(opacity=40);
}

.small {
    font-size: 8pt
}

.validation {
    font-weight: bold;
    color: red;
    font-size: 16pt;
    text-shadow: 2px 2px 2px #c0c0c0;
    -moz-text-shadow: 2px 2px 2px #c0c0c0;
    -webkit-text-shadow: 2px 2px 2px #c0c0c0;
}

.validator {
    text-decoration: blink;
    visibility: expression((Math.floor(new Date().getTime()/500)%2)?'visible':'hidden');
    color: red;
}

.validationfailed {
    background-color: #ffcccc;
    border: 1px solid #ff0000;
}

.icon {
    background-color: #073A65
}

.padhoriz {
    padding-left: 10px;
    padding-right: 10px
}

.padvert {
    padding-top: 10px;
    padding-bottom: 10px
}

.linesLeft {
    border-left: 1px solid black
}

.linesRight {
    border-right: 1px solid black
}

.linesTop {
    border-top: 1px solid black
}

.linesBottom {
    border-bottom: 1px solid black
}

.linesNone {
    border: 0px
}

.formtable td {
    padding: 8px
}

caption {
    text-align: left;
    font-weight: bold;
    font-size: 12pt
}

.graytext {
    color: #cccccc;
}

.editor {
    color: black;
    background-color: white;
}


#drop_zone, #dc_drop_zone, .drop_zone {
    margin: 10px 0;
    width: 150px;
    min-height: 50px;
    text-align: center;
    text-transform: uppercase;
    font-weight: bold;
    border: 8px dashed #898;
    height: 50px;
}

.countoverlay {
    font-size: 7pt;
    background-color: gray;
    color: white;
    padding: 1px 3px 1px 3px;
    left: -8px;
    top: 5px;
    position: relative;
    white-space: nowrap
}

.top {
    vertical-align: top
}

.hidden {
    display: none
}

.disabled {
    pointer-events: none;
    opacity: 0.4;
}

.center {
    text-align: center;
}

.ajax__calendar_body {
    height: 168px;
}

@media only screen and (max-device-width: 480px) {
    html, body {
        background: #fff;
        padding: 3px;
        color: #000;
        margin: 0;
    }

    body, td {
        font-size: 12pt;
    }

    h1, .h1 {
        font-size: 20pt;
    }

    h2, .h2 {
        font-size: 18pt;
    }

    h3, .h3 {
        font-size: 16pt;
    }

    .btn, .btngray {
        font-size: 16pt;
    }
}

.flagged, input[type="text"].flagged, input[type="password"].flagged, textarea.flagged, select.flagged {
    background-color: yellow
}

.hashours, input[type="text"].hashours, input[type="password"].hashours, textarea.hashours, select.hashours {
    background-color: LightCyan
}

@media print {
    .noprint, .noprint * {
        display: none !important;
    }
}
